What is this bug guys?

Discussion in 'Spigot Plugin Help' started by Hysan, Apr 24, 2017.

Thread Status:
Not open for further replies.
  1. I tried to contact the author but he is not replying in 3 days. So i POST here
    My server is using 1.8.8, the plugin is Pro Bedwars latest version

    Error occurred while disabling ProBedwars v1.0 (Is it up to date?)
    java.lang.NullPointerException
    at io.gabbo200.github.Bedwars.Main.onDisable(Main.java:496) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:323) ~[spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:364) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:424) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at io.gabbo200.github.Bedwars.Main.I(Main.java:1569) [ProBedWars.jar:?]
    at io.gabbo200.github.Bedwars.Main.onEnable(Main.java:238) [ProBedWars.jar:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:356) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:316) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:418) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:382) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:337) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:256) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:528) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_131]
    [10:23:00 ERROR]: Error occurred while enabling ProBedwars v1.0 (Is it up to date?)
    org.bukkit.plugin.IllegalPluginAccessException: Plugin attempted to register [email protected] while not enabled
    at org.bukkit.plugin.SimplePluginManager.registerEvents(SimplePluginManager.java:524) ~[spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at io.gabbo200.github.Bedwars.g.b.<init>(DataManager.java:31) ~[?:?]
    at io.gabbo200.github.Bedwars.Main.onEnable(Main.java:242) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:356) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:316) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:418) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:382) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:337) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:256) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:528) [spigot.jar:git-Spigot-d2856ae-8f0f4ed]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_131]
     
  2. The plugin ProBedwars is Broken.
    I'd say you're on the wrong server version for the plugin.
     
  3. OH!??! It said the plugin support 1.8.8
     
  4. Considering that code is using 1.8.3 NMS, I'd say you're on the wrong version.
     
  5. It supports 1.8/1.9/1.10/1.11
     
  6. I even use all version but it seems not working
     
  7. Use Minecraft 1.8.3 Specifically, it should work
     
  8. Same thing happened. I download the jar files on REMOVED so should I use BuildTool instead of this?
     
    #8 Hysan, Apr 24, 2017
    Last edited by a moderator: Dec 1, 2017
  9. Yes. Buildtools will for sure get you the right version.
     
    #9 BrettPlayMC, Apr 24, 2017
    Last edited by a moderator: Dec 1, 2017
  10. Nah, the plugin still not working
     
  11. On Spigot 1.8.3? Are you sure it's the same error?
     
  12. Yes surely the same problem
     
  13. Everyone has the same problem, I saw the review
     
  14. Then the plugin is broken. You will need to hire a developer in the hiring developers section to fix it then.
     
  15. I see. What the heck
     
    • Agree Agree x 1
  16. That is Weird...
     
  17. I just want to get a refund because the author don't solve the problem and even not replying and questions and not online for 10 days
     
  18. Wow, you bought it? You get someone to code one for you will the refunded money hopefully!
     
  19. Wrong. :p
    A fully custom and recoded version of that plugin would cost $150+ to be quality.
     
    • Agree Agree x 2
  20. I just told to fix the error. It cost me not many
     
Thread Status:
Not open for further replies.